Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_impl_util::node_type_impl< Node >::field_ptr< FieldMember > Class Template Reference

Concrete pointer-to-member wrapper. More...

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::node_type_impl< Node >::field_ptr< FieldMember >:
[legend]

List of all members.

## Public Member Functions

| field_ptr (FieldMember Node::*ptr_to_mem)
| Construct.

## Detailed Description

### template<typename Node>
template<typename FieldMember>
class openvrml::node_impl_util::node_type_impl< Node >::field_ptr< FieldMember >

Concrete pointer-to-member wrapper.

Template Parameters:

  | FieldMember | a `field_value` member of Node.

## Constructor & Destructor Documentation

template<typename Node >
template<typename FieldMember >

openvrml::node_impl_util::node_type_impl< Node >::field_ptr< FieldMember >::field_ptr | ( | FieldMember Node::* | ptr_to_mem | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | ptr_to_mem | a pointer to an `openvrml::field_value` member.